
#include <owl.h>
#include <edit.h>
#include <static.h>
#include <listbox.h>
#include <combobox.h>
#include <groupbox.h>
#include <checkbox.h>
#include <radiobut.h>

_CLASSDEF(TUty3DEdit)
class _EXPORT TUty3DEdit : public TEdit
{
public:
   TUty3DEdit(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
          int Y, int W, int H, WORD ATextLen, BOOL Multiline,
          PTModule AModule = NULL);
    TUty3DEdit(PTWindowsObject AParent, int AnId, WORD ATextLen,
          PTModule AModule = NULL);
   virtual LPSTR GetClassName();
};


inline
TUty3DEdit::TUty3DEdit(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
          int Y, int W, int H, WORD ATextLen, BOOL Multiline,
          PTModule AModule)
   :TEdit(AParent, AnId, AText, X, Y, W, H, ATextLen, Multiline, AModule)
{
}

inline
TUty3DEdit::TUty3DEdit(PTWindowsObject AParent, int AnId, WORD ATextLen,
         PTModule AModule)
   :TEdit(AParent, AnId, ATextLen, AModule)
{
}

inline
LPSTR TUty3DEdit::GetClassName()
{
   return "Uty3D_Edit";
}


_CLASSDEF(TUty3DStatic)
class _EXPORT TUty3DStatic : public TStatic
{
public:
    TUty3DStatic(PTWindowsObject AParent, int AnId, LPSTR ATitle, int X,
            int Y, int W, int H, WORD ATextLen, PTModule AModule = NULL);
    TUty3DStatic(PTWindowsObject AParent, int AnId, WORD ATextLen,
            PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DStatic::TUty3DStatic(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
          int Y, int W, int H, WORD ATextLen, PTModule AModule)
   :TStatic(AParent, AnId, AText, X, Y, W, H, ATextLen, AModule)
{
}

inline
TUty3DStatic::TUty3DStatic(PTWindowsObject AParent, int AnId, WORD ATextLen,
         PTModule AModule)
   :TStatic(AParent, AnId, ATextLen, AModule)
{
}

inline
LPSTR TUty3DStatic::GetClassName()
{
   return "Uty3D_Static";
}


_CLASSDEF(TUty3DListBox)
class _EXPORT TUty3DListBox : public TListBox
{
public:
    TUty3DListBox(PTWindowsObject AParent, int AnId, int X,
            int Y, int W, int H, PTModule AModule = NULL);
    TUty3DListBox(PTWindowsObject AParent, int AnId, PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DListBox::TUty3DListBox(PTWindowsObject AParent, int AnId, int X,
            int Y, int W, int H, PTModule AModule)
   :TListBox(AParent, AnId, X, Y, W, H, AModule)
{
}

inline
TUty3DListBox::TUty3DListBox(PTWindowsObject AParent, int AnId, PTModule AModule)
   :TListBox(AParent, AnId, AModule)
{
}

inline
LPSTR TUty3DListBox::GetClassName()
{
   return "Uty3D_ListBox";
}


_CLASSDEF(TUty3DComboBox)
class _EXPORT TUty3DComboBox : public TComboBox
{
public:
    TUty3DComboBox(PTWindowsObject AParent, int AnId, int X,
            int Y, int W, int H, 
            DWORD AStyle, WORD ATextLen, PTModule AModule = NULL);
    TUty3DComboBox(PTWindowsObject AParent, int AnId, WORD ATextLen,
             PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DComboBox::TUty3DComboBox(PTWindowsObject AParent, int AnId, int X,
            int Y, int W, int H, 
            DWORD AStyle, WORD ATextLen, PTModule AModule)
   :TComboBox(AParent, AnId, X, Y, W, H, AStyle, ATextLen, AModule)
{
}

inline
TUty3DComboBox::TUty3DComboBox(PTWindowsObject AParent, int AnId, WORD ATextLen,
         PTModule AModule)
   :TComboBox(AParent, AnId, ATextLen, AModule)
{
}

inline
LPSTR TUty3DComboBox::GetClassName()
{
   return "Uty3D_ComboBox";
}




_CLASSDEF(TUty3DGroupBox)
class _EXPORT TUty3DGroupBox : public TGroupBox
{
public:
    TUty3DGroupBox(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
            int Y, int W, int H, PTModule AModule = NULL);
    TUty3DGroupBox(PTWindowsObject AParent, int AnId, PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DGroupBox::TUty3DGroupBox(PTWindowsObject AParent, int AnId, 
            LPSTR AText, int X,  int Y, int W, int H, 
            PTModule AModule)
   :TGroupBox(AParent, AnId, AText, X, Y, W, H, AModule)
{
}

inline
TUty3DGroupBox::TUty3DGroupBox(PTWindowsObject AParent, int AnId, 
            PTModule AModule)
   :TGroupBox(AParent, AnId, AModule)
{
}

inline
LPSTR TUty3DGroupBox::GetClassName()
{
   return "Uty3D_Button";
}


_CLASSDEF(TUty3DCheckBox)
class _EXPORT TUty3DCheckBox : public TCheckBox
{
public:
    TUty3DCheckBox(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
            int Y, int W, int H, PTGroupBox AGroup, 
            PTModule AModule = NULL);
    TUty3DCheckBox(PTWindowsObject AParent, int AnId, PTGroupBox AGroup,
            PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DCheckBox::TUty3DCheckBox(PTWindowsObject AParent, int AnId,
            LPSTR AText, int X,  int Y, int W, int H, 
            PTGroupBox AGroup, PTModule AModule)
   :TCheckBox(AParent, AnId, AText, X, Y, W, H, AGroup, AModule)
{
}

inline
TUty3DCheckBox::TUty3DCheckBox(PTWindowsObject AParent, int AnId,
            PTGroupBox AGroup, PTModule AModule)
   :TCheckBox(AParent, AnId, AGroup, AModule)
{
}

inline
LPSTR TUty3DCheckBox::GetClassName()
{
   return "Uty3D_Button";
}


_CLASSDEF(TUty3DRadioButton)
class _EXPORT TUty3DRadioButton : public TRadioButton
{
public:
    TUty3DRadioButton(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
            int Y, int W, int H, PTGroupBox AGroup, 
            PTModule AModule = NULL);
    TUty3DRadioButton(PTWindowsObject AParent, int AnId, PTGroupBox AGroup,
            PTModule AModule = NULL);
    virtual LPSTR GetClassName();
};

inline
TUty3DRadioButton::TUty3DRadioButton(PTWindowsObject AParent, int AnId,
            LPSTR AText, int X,  int Y, int W, int H, 
            PTGroupBox AGroup, PTModule AModule)
   :TRadioButton(AParent, AnId, AText, X, Y, W, H, AGroup, AModule)
{
}

inline
TUty3DRadioButton::TUty3DRadioButton(PTWindowsObject AParent, int AnId,
            PTGroupBox AGroup, PTModule AModule)
   :TRadioButton(AParent, AnId, AGroup, AModule)
{
}

inline
LPSTR TUty3DRadioButton::GetClassName()
{
   return "Uty3D_Button";
}





